<?php

/**
 * Settings panel view for the plugin
 *
 * @since     0.1
 * @author    @akshitsethi
 * -------------------------------------------------
 */

require_once 'header.php';

?>

	<div class="as-body as-clearfix">
		<div class="as-float-left">
			<div class="as-mobile-menu">
				<a href="javascript:void;">
					<img src="<?php echo AS_MMCS_URL; ?>/framework/admin/img/toggle.png" />
				</a>
			</div><!-- .as-mobile-menu -->

			<ul class="as-main-menu">
				<li><a href="#basic"><?php esc_html_e( 'Basic', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#email"><?php esc_html_e( 'Email', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#design"><?php esc_html_e( 'Design', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#form"><?php esc_html_e( 'Form', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#social"><?php esc_html_e( 'Social', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#advanced"><?php esc_html_e( 'Advanced', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#preview"><?php esc_html_e( 'Preview', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#support"><?php esc_html_e( 'Support', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#license"><?php esc_html_e( 'License', 'maintenance-mode-coming-soon' ); ?></a></li>
				<li><a href="#about"><?php esc_html_e( 'About', 'maintenance-mode-coming-soon' ); ?></a></li>
			</ul>
		</div><!-- .as-float-left -->

		<div class="as-float-right">
			<?php

				// Checking for the offers transient
				$offers_transient = get_transient( 'mmcs_offer' );

				// If the value is saved in the database, then don't ping the server
				if ( $offers_transient ) {
					echo '<p><span class="as-offer">' . esc_html__( 'OFFER' ) . '</span> ' . $offers_transient . '</p>';
				} else {
					// Getting our latest products and offer from the website
					$as_offers = wp_remote_get( 'http://www.akshitsethi.com/offers.php?product=mmcs' );

					// Checking for the errors
					// If everything is OK, then display the information
					if ( ! is_wp_error( $as_offers ) ) {
						echo '<p><span class="as-offer">' . esc_html__( 'OFFER' ) . '</span> ' . $as_offers['body'] . '</p>';

						// Setting the transient over here so that it does not ping the server again for a day atleast
						set_transient( 'mmcs_offer', $as_offers['body'], 60 * 60 * 24 );
					} // $as_offers
				} // $offers_transient

				// Including tabs content
				require_once 'settings-basic.php';		// basic
				require_once 'settings-email.php';		// email
				require_once 'settings-design.php';		// design
				require_once 'settings-form.php';		// form
				require_once 'settings-social.php';		// social
				require_once 'settings-advanced.php';	// advanced
				require_once 'settings-preview.php';	// preview
				require_once 'settings-support.php';	// support
				require_once 'settings-license.php';	// license
				require_once 'settings-about.php';		// about

			?>
		</div><!-- .as-float-right -->
	</div><!-- .as-body -->

<?php

require_once 'footer.php';