<?php

/**
 * Public side of the plugin.
 *
 * @since     0.1
 * @author    @akshitsethi
 * -------------------------------------------------
 * Functions File
 * -------------------------------------------------
 */

require_once AS_MMCS_PATH . 'framework/public/include/functions.php';


function mmcs_plugin_init() {

	add_action( 'mmcs_footer_scripts', 'mmcs_scripts' );

	// Plugin Options
	// -------------------------------------------------


	$options['basic'] 		= get_option( 'mmcs_options_basic' );
	$options['email'] 		= get_option( 'mmcs_options_email' );
	$options['design'] 		= get_option( 'mmcs_options_design' );
	$options['form'] 		= get_option( 'mmcs_options_form' );
	$options['social'] 		= get_option( 'mmcs_options_social' );
	$options['advanced'] 	= get_option( 'mmcs_options_advanced' );


	// Localization
	// -------------------------------------------------

	load_plugin_textdomain( 'maintenance-mode-coming-soon', false, AS_MMCS_PATH . 'framework/langs' );


	// Custom Login URL
	// -------------------------------------------------

	$login_url = wp_login_url();


	// Server Protocol
	// -------------------------------------------------

	if ( isset( $_SERVER['HTTPS'] ) === true ) {
		$protocol = 'https';
	} else {
		$protocol = 'http';
	}


	// Current Address
	// -------------------------------------------------

	$server_url = $protocol . '://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];


	// Login URL (from database)
	// -------------------------------------------------

	if ( empty( $options['basic']['custom_login_url'] ) ) {
		$options['basic']['custom_login_url'] = NULL;
	}


	// Render
	// -------------------------------------------------

	if ( ! is_admin() ) {
		if ( '1' == $options['basic']['status'] ) {

			/**
			 * A lot of checks are going on over here.
			 * Checking admin role, crawler status, and important pages to bypass.
			 * Search engine bypass check.
			 * -------------------------------------------------
			 */

			if ( false === strpos( $server_url, '/wp-login.php' )
				&& false === strpos( $server_url, '/wp-admin/' )
				&& false === strpos( $server_url, '/async-upload.php' )
				&& false === strpos( $server_url, '/upgrade.php' )
				&& false === strpos( $server_url, '/plugins/' )
				&& false === strpos( $server_url, '/xmlrpc.php' )
				&& false === strpos( $server_url, $login_url )
				&& false === strpos( $server_url, $options['basic']['custom_login_url'] ) ) {

				// Search Engine By-pass
				// -------------------------------------------------

				if ( '1' == $options['basic']['exclude_se'] ) {
					if ( ! mmcs_check_referrer() ) {
						if ( '1' == $options['basic']['show_logged_in'] ) {
							// Logged-in?
							if ( ! is_user_logged_in() ) {
								// Render
								mmcs_render_template( $options );
							}
						} else {
							// Render
							mmcs_render_template( $options );
						}
					}
				} else {
					if ( '1' == $options['basic']['show_logged_in'] ) {
						// Logged-in?
						if ( ! is_user_logged_in() ) {
							// Render
							mmcs_render_template( $options );
						}
					} else {
						// Render
						mmcs_render_template( $options );
					}
				}
			}
		}
	}

}
add_action( 'init', 'mmcs_plugin_init' );