<?php

/**
 * File which gets called on plugin uninstall.
 * Since the plugin does not do any sort of setup, nothing is done over here.
 *
 * @since     0.1
 * @author    @akshitsethi
 *
 * Checking whether the file is called by the Wordpress uninstall action or not
 * If not, then exit and prevent unauthorized access
 * -------------------------------------------------
 */

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit();
}


// Remove Options
// -------------------------------------------------

delete_option( 'mmcs_options_basic' ); 		// basic
delete_option( 'mmcs_options_email' ); 		// email
delete_option( 'mmcs_options_design' ); 	// design
delete_option( 'mmcs_options_form' ); 		// form
delete_option( 'mmcs_options_social' ); 	// social
delete_option( 'mmcs_options_advanced' ); 	// advanced
delete_option( 'as_reg_mmcs' ); 			// registration


// Remove Transient
// -------------------------------------------------

delete_transient( 'mmcs_email_list' );